PLaSK library

Loading...
Searching...
No Matches
Functions | Variables
plask::phys Namespace Reference

Basic physical quantities and functions. More...

## Functions
double | Varshni (double Eg0K, double alpha, double beta, double T)
| Varshni functions.

## Variables
constexpr double | qe = 1.60217733e-19
| Elementary charge [C].
constexpr double | me = 9.10938291e-31
| Electron mass [kg].
constexpr double | c = 299792458.
| Speed of light [m/s].
constexpr double | mu0 = 4e-7 * PI
| Vacuum permeability [V*s/A/m].
constexpr double | epsilon0 = 1./mu0/c/c
| Vacuum permittivity [F/m].
constexpr double | Z0 = 376.73031346177066
| Free space admittance [Ω].
constexpr double | h_J = 6.62606957e-34
| Planck's constant [J*s].
constexpr double | h_eV = 4.135667516e-15
| Planck's constant [eV*s].
constexpr double | hb_J = 0.5*h_J/PI
| Dirac's constant [J*s].
constexpr double | hb_eV = 0.5*h_eV/PI
| Dirac's constant [eV*s].
constexpr double | SB = 5.670373e-8
| Stefan-Boltzmann constant [W/m^2/K^4].
constexpr double | kB_J = 1.3806503e-23
| Boltzmann constant [J/K].
constexpr double | kB_eV = 8.6173423e-5
| Boltzmann constant [eV/K].
constexpr double | h_eVc1e9 = 1239.84193009
| h_eV*c*1e9 [eV*m]

## Detailed Description

Basic physical quantities and functions.

## Function Documentation

## ◆ Varshni()

PLASK_API double plask::phys::Varshni | ( | double | Eg0K,
|  | double | alpha,
|  | double | beta,
|  | double | T
| ) |  |

Varshni functions.

Parameters

  Eg0K | [eV] bandgap at 0K
  alpha | [eV/K] Varshni parameter α
  beta | [K] Varshni parameter β
  T | [K] temperature

Returns
  [eV] bandgap at temperature T

Definition at line 19 of file functions.cpp.

## Variable Documentation

## ◆ c

constexpr double plask::phys::c = 299792458.
| constexpr

Speed of light [m/s].

Definition at line 33 of file constants.hpp.

## ◆ epsilon0

constexpr double plask::phys::epsilon0 = 1./mu0/c/c
| constexpr

Vacuum permittivity [F/m].

Definition at line 35 of file constants.hpp.

## ◆ h_eV

constexpr double plask::phys::h_eV = 4.135667516e-15
| constexpr

Planck's constant [eV*s].

Definition at line 38 of file constants.hpp.

## ◆ h_eVc1e9

constexpr double plask::phys::h_eVc1e9 = 1239.84193009
| constexpr

h_eV*c*1e9 [eV*m]

Definition at line 44 of file constants.hpp.

## ◆ h_J

constexpr double plask::phys::h_J = 6.62606957e-34
| constexpr

Planck's constant [J*s].

Definition at line 37 of file constants.hpp.

## ◆ hb_eV

constexpr double plask::phys::hb_eV = 0.5*h_eV/PI
| constexpr

Dirac's constant [eV*s].

Definition at line 40 of file constants.hpp.

## ◆ hb_J

constexpr double plask::phys::hb_J = 0.5*h_J/PI
| constexpr

Dirac's constant [J*s].

Definition at line 39 of file constants.hpp.

## ◆ kB_eV

constexpr double plask::phys::kB_eV = 8.6173423e-5
| constexpr

Boltzmann constant [eV/K].

Definition at line 43 of file constants.hpp.

## ◆ kB_J

constexpr double plask::phys::kB_J = 1.3806503e-23
| constexpr

Boltzmann constant [J/K].

Definition at line 42 of file constants.hpp.

## ◆ me

constexpr double plask::phys::me = 9.10938291e-31
| constexpr

Electron mass [kg].

Definition at line 32 of file constants.hpp.

## ◆ mu0

constexpr double plask::phys::mu0 = 4e-7 * PI
| constexpr

Vacuum permeability [V*s/A/m].

Definition at line 34 of file constants.hpp.

## ◆ qe

constexpr double plask::phys::qe = 1.60217733e-19
| constexpr

Elementary charge [C].

Definition at line 31 of file constants.hpp.

## ◆ SB

constexpr double plask::phys::SB = 5.670373e-8
| constexpr

Stefan-Boltzmann constant [W/m^2/K^4].

Definition at line 41 of file constants.hpp.

## ◆ Z0

constexpr double plask::phys::Z0 = 376.73031346177066
| constexpr

Free space admittance [Ω].

Definition at line 36 of file constants.hpp.